# UnifiedContainerWorker Class Reference
[IdentifiableObject collections handlers]

Inheritance diagram for UnifiedContainerWorker:
[legend]

List of all members.

## Public Member Functions

| makeFetchQuery ()
| sync ($insert, $update=array(), $delete)
| __construct (UnifiedContainer $uc)
| setCriteria (Criteria $criteria)
| getCriteria ()
| makeCountQuery ()
| dropList ()

## Protected Member Functions

| makeSelectQuery ()

## Protected Attributes

| $criteria = null
| $container = null

## Detailed Description

See also:
  UnifiedContainer

Definition at line 17 of file UnifiedContainerWorker.class.php.

## Constructor & Destructor Documentation

UnifiedContainerWorker::__construct | ( | UnifiedContainer $ | uc | ) |

Definition at line 25 of file UnifiedContainerWorker.class.php.

## Member Function Documentation

UnifiedContainerWorker::dropList | ( |  | ) |

Definition at line 81 of file UnifiedContainerWorker.class.php.

References OSQL::delete(), Expression::eq(), and DBPool::getByDao().

Here is the call graph for this function:

UnifiedContainerWorker::getCriteria | ( |  | ) |

Returns:
  Criteria

Definition at line 43 of file UnifiedContainerWorker.class.php.

UnifiedContainerWorker::makeCountQuery | ( |  | ) |

Returns:
  SelectQuery

Definition at line 51 of file UnifiedContainerWorker.class.php.

References DBValue::create(), DBField::create(), SQLFunction::create(), and makeFetchQuery().

Here is the call graph for this function:

UnifiedContainerWorker::makeFetchQuery | ( |  | ) | `[abstract]`

Reimplemented in ManyToManyLinkedFull, ManyToManyLinkedLazy, OneToManyLinkedFull, and OneToManyLinkedLazy.

Referenced by makeCountQuery().

UnifiedContainerWorker::makeSelectQuery | ( |  | ) | `[protected]`

Returns:
  SelectQuery

Definition at line 103 of file UnifiedContainerWorker.class.php.

Referenced by OneToManyLinkedLazy::makeFetchQuery(), OneToManyLinkedFull::makeFetchQuery(), ManyToManyLinkedLazy::makeFetchQuery(), and ManyToManyLinkedFull::makeFetchQuery().

UnifiedContainerWorker::setCriteria | ( | Criteria $ | criteria | ) |

Returns:
  UnifiedContainerWorker

Definition at line 33 of file UnifiedContainerWorker.class.php.

UnifiedContainerWorker::sync | ( | $ | insert,
|  | $ | update = `array()`,
|  | $ | delete |
| ) |  |  | `[abstract]`

Reimplemented in ManyToManyLinkedFull, ManyToManyLinkedLazy, OneToManyLinkedFull, and OneToManyLinkedLazy.

## Member Data Documentation

UnifiedContainerWorker::$container = null`[protected]`

Definition at line 20 of file UnifiedContainerWorker.class.php.

UnifiedContainerWorker::$criteria = null`[protected]`

Definition at line 19 of file UnifiedContainerWorker.class.php.

The documentation for this class was generated from the following file:

- main/UnifiedContainer/UnifiedContainerWorker.class.php